ntpdate(8)

NAME
ntpdate - set the date and time via NTP

SYNOPSIS
ntpdate [-46bBdqsuv] [-a key] [-k keyfile] [-o version] [-t timeout] server [...]

DESCRIPTION
ntpdate sets the local date and time by polling the Network Time Protocol (NTP) server(s) given as the server argument(s) to determine the correct time. It must be run as root on the local host (unless the option -q is used). A number of samples are obtained from each of the servers specified and a subset of the NTP clock filter and selection algorithms are applied to select the best of these. Note that the accuracy and reliability of ntpdate depends on the number of servers, the number of polls each time it is run and the interval between runs.

ntpdate can be run manually as necessary to set the host clock, or it can be run from the host startup script to set the clock at boot time. This is useful in some cases to set the clock initially before starting the NTP daemon ntpd. It is also possible to run ntpdate from a cron script. However, it is important to note that ntpdate with contrived cron scripts is no substitute for the NTP daemon, which uses sophisticated algorithms to maximize accuracy and reliability while minimizing resource use. Finally, since ntpdate does not discipline the host clock frequency as does ntpd, the accuracy using ntpdate is limited.

Time adjustments are made by ntpdate in one of two ways. If ntpdate determines the clock is in error more than 0.5 second it will simply step the time by calling the system settimeofday() routine. If the error is less than 0.5 seconds, it will slew the time by calling the system adjtime() routine. The latter technique is less disruptive and more accurate when the error is small, and works quite well when ntpdate is run by cron every hour or two.

ntpdate will, if the -u flag was not specified, decline to set the date if an NTP server daemon (e.g., ntpd) is running on the same host. When running ntpdate on a regular basis from cron as an alternative to running a daemon, doing so once every hour or two will result in precise enough timekeeping to avoid stepping the clock.

Note that in contexts where a host name is expected, a -4 qualifier preceding the host name forces DNS resolution to the IPv4 namespace, while a -6 qualifier forces DNS resolution to the IPv6 namespace.

OPTIONS

-4  Force DNS resolution of following host names on the command line to the IPv4 namespace.

-6  Force DNS resolution of following host names on the command line to the IPv6 namespace.

-a key
    Enable the authentication function and specify the key identifier to be used for authentication as the argument keyntpdate. The keys and key identifiers must match in both the client and server key files. The default is to disable the authentication function.

-B  Force the time to always be slewed using the adjtime() system call. This is the default.

-b  Force the time to be stepped using the settimeofday() system call, rather than slewed (default) using the adjtime() system call. This option should be used when called from a startup file at boot time.

-d  Enable the debugging mode, in which ntpdate will go through all the steps, but not adjust the local clock and using an unprivileged port. Information useful for general debugging will also be printed.

-k keyfile
    Specify the path for the authentication key file as the string keyfile. The default is /etc/ntpsec/ntp.keys. This file should be in the format described in ntpd.

-o version
    No longer supported. Used to be for specifying the NTP version on outgoing packets as integer in the range from 1 through 4. Now simply ignored with a warning message.

-q  Query only – don't set the clock.

-s  Divert logging output from the standard output (default) to the system syslog facility. This is designed primarily for convenience of cron scripts.

-t timeout
    Specify the maximum time waiting for a server response as the value timeout, in seconds and fraction. The value is rounded to a multiple of 0.2 seconds. The default is 1 second, a value suitable for polling across a LAN.

-u  Direct ntpdate to use an unprivileged port for outgoing packets. This is most useful when behind a firewall that blocks incoming traffic to privileged ports, and you want to synchronise with hosts beyond the firewall. Note that the -d option always uses unprivileged ports.

-v  Be verbose. This option will cause ntpdate's version identification string to be logged.

DIAGNOSTICS
ntpdate's exit status is zero if it found a server and updates the clock, and nonzero otherwise.

FILES

/etc/ntp.keys
    - encryption keys used by ntpdate.

AUTHOR
David L. Mills (mills@udel.edu)
This man page was converted from HTML to roff by Fabrizio Polacco <fpolacco@debian.org>

SEE ALSO
ntpdate-debian(8)